#include <stdio.h>
#include <stdint.h>
#include "crc32_nibble.h"

#define INIT_VALUE 0xFFFFFFFF
extern uint32_t __checksum;

#pragma location=0x00060000
__root const char data[] = {0x01, 0x02, 0x03, 0x04};

int main(void)
{
    uint32_t sum;

    sum = crc32(INIT_VALUE, &data[0], 4);

    if(sum != __checksum) {
        printf("Checksum failed: 0x%04X (calculated) "
               "vs 0x%04X (from linker)\n", sum, __checksum);
    } else {
         printf("* Checksum 0x%04X is correct! *\n", __checksum);
    }
}
